Bug 43903 - anaconda needs to handle special cases as to the number of partitions on various block devices.
anaconda needs to handle special cases as to the number of partitions on vari...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 56874 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-06-07 17:24 EDT by Alexandre Oliva
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2001-06-07 17:24:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9)

Description of problem:
I've created partitions 5-18 on a few disks, using fdisk.  The last few
partitions failed to work because no devices were created for them in /dev.
 Devices were up to /dev/hda16, but I needed /dev/hda17 and /dev/hda18.

How reproducible:
Didn't try

Steps to Reproduce:
1.Create 14 logical partitions in a single disk
2.Install the system on it
3.Note that the system will be missing /dev/hda17 and /dev/hda18.

Actual Results:  /dev/hda17 and /dev/hda18 are missing.

Expected Results:  They should exist, so that the partitions in them could
be mounted.

Additional info:

I had included these partitions in RAID devices.  The RAID devices were
created correctly, at installation time.  I'm not sure they were usable
after the system boot, though, and I ended up having to re-install the system.
Comment 1 Brent Fox 2001-06-12 11:52:13 EDT
I think that the kernel can only address up to 16 partitions on an IDE drive. 
There is the problem that Disk Druid and fdisk will let you create more than 16
partitions...that is addressed in bug #44115.  But this particular bug is more
of a limitation of the kernel than anything else.
Comment 2 Alexandre Oliva 2001-06-12 14:46:40 EDT
Well, perhaps it can't address more than 16 partitions, but I don't have 16
partitions: I've got hda1 as an extended partition and hda5-18, and, after I
created the devices, they started working.  Perhaps this limitation is no longer
present in kernel 2.4?
Comment 3 Brent Fox 2001-06-12 22:22:09 EDT
I will try to reproduce this at work tomorrow, but I will be surprised if the
kernel can talk to partitions above hd*16, considering that the devices in the
/dev directory only go up to hd*16.
Comment 4 Brent Fox 2001-06-26 17:38:45 EDT
I am unable to get the kernel to mount or otherwise communicate with partitions
over hd*16.  For example, I have partitions on an IDE drive /dev/hda1 -
/dev/hda20.  The kernel will not mount partitions above /dev/hda16.  The error
message I get when I try 'mount /dev/hda18 /mnt/foo' is:
'mount: special device /dev/hda17 does not exist'

To me, this seems more like a limitation of the kernel than a bug with the
Comment 5 Alexandre Oliva 2001-06-26 18:28:14 EDT
I have partitions hda1 and hda5-hda18.  After mknoding /dev/hda17 and
/dev/hda18, they worked fine.  The only problem was that the installer didn't
create the devices, and this is the problem I'm reporting.  Perhaps having more
than 16 partitions won't work, but I don't have more than 16 partitions, I have
``only'' 15, an extended partition and 14 logical ones.
Comment 6 Matt Wilson 2001-08-24 17:22:27 EDT
this will take a bit of work, I'll do it first thing next cycle.

Known limits:

ide:  64 minors
scsi: 16 minors
dac960: 8 minors
ataraid: 16 minors
i20: 16 minors
cpqarray/cciss: 16 minors
Comment 7 Brent Fox 2001-12-03 20:34:15 EST
*** Bug 56874 has been marked as a duplicate of this bug. ***
Comment 8 Michael Fulbright 2002-03-26 12:26:39 EST
Deferred to future release.
Comment 9 Red Hat Bugzilla 2006-02-21 13:48:01 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.